> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synapsai.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Zero-shot text classification



## OpenAPI

````yaml /api-reference/openapi.json post /v1/classifications/zero-shot
openapi: 3.1.0
info:
  title: SynapsAI Inference API
  version: 1.0.0
servers:
  - url: https://api.synapsai.cloud
    description: Production server
security: []
paths:
  /v1/classifications/zero-shot:
    post:
      summary: Zero-shot text classification
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ZeroShotClassificationRequest'
      responses:
        '200':
          description: Zero-shot classification results
          content:
            application/json:
              schema:
                type: object
                properties:
                  sequence:
                    type: string
                  labels:
                    type: array
                    items:
                      type: string
                  scores:
                    type: array
                    items:
                      type: number
components:
  schemas:
    ZeroShotClassificationRequest:
      allOf:
        - type: object
          description: Zero-shot text classification request.
          properties:
            sequences:
              oneOf:
                - type: string
                - type: array
                  items:
                    type: string
              description: Sequence(s) to classify. Required.
            candidate_labels:
              oneOf:
                - type: string
                - type: array
                  items:
                    type: string
              description: Label or list of labels to test against the sequences. Required.
            hypothesis_template:
              type: string
              default: This example is {}.
              description: >-
                Template used to convert labels into hypotheses for entailment
                scoring.
            multi_label:
              type: boolean
              default: false
              description: >-
                If true, multiple labels may be true and scores are not
                normalized across labels.
          required:
            - sequences
            - candidate_labels

````